2010-02-26  Mario Carrion  <mcarrion@novell.com>

	* RuntimeControls/SilverlightControls/Slider.cs: 
	* RuntimeControls/SilverlightControls/Primitives/Thumb.cs: 
	* RuntimeControls/SilverlightControls/Primitives/RepeatButton.cs:
	Overriding OnCreateAutomationPeer.

	r: toshok

2010-01-20  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Whenever the
	  values for HorizontalScrollBarVisibility or
	  VerticalScrollbarVisibility change we need to update the
	  computed value which the Scrollbars are databound to.

2010-01-14  Mario Carrion  <mcarrion@novell.com>

	* SDKControls/Extended/Src/Automation/CalendarAutomationPeer.cs: Fixes
	exception when raising UIA event.

	r: alan

2009-12-02  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: We can't directly
	  use SCP.HorizontalOffset/VerticalOffset here as they update
	  asynchronously.

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Add
	  better handling of invalid scroll offsets to
	  ScrollContentPresenter.

2009-11-23  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Ensure
	  that HorizontalOffset and VerticalOffset are clamped by
	  ScrollContentPresenter before they are used.

2009-11-20  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs:
	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Replace
	  ScrollViewer.UpdateFromChild with
	  ScrollViewer.InvalidateScrollInfo as that's what that method
	  is there for. Keep Can[Horizontally|Vertically]Scroll up to
	  date and use those for deciding whether or not we need to
	  use an infinite size to measure the child. 

2009-12-07  Jeffrey Stedfast  <fejj@novell.com>

	* RuntimeControls/SilverlightControls/Primitives/IScrollInfo.cs:
	Added MakeVisible().

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Stub out
	MakeVisible() from IScrollInfo.

2009-12-07  Jeffrey Stedfast  <fejj@novell.com>

	* RuntimeControls/SilverlightControls/Primitives/ButtonBase.cs
	(OnLostMouseCapture): Implemented.

2009-11-10  Larry Ewing  <lewing@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs:
	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Reorder
	arguments so my head doesn't hurt.

2009-11-09  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ToolTip/ToolTip.cs: add stubbed things for
	PlacementProperty and PlacementTargetProperty.

	r: rolf

2009-11-08  Andreia Gaita  <avidigal@novell.com>

	* RuntimeControls/SilverlightControls/Button.cs: Add missing
	OnClick	override

	r: toshok

2009-11-06  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ListBox/ListBoxItem.cs: InvokeLoaded no longer
	takes event args since it doesn't emit the event.

2009-11-06  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs:
	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: User
	  the correct value for ExtentHeight and clean up some of the
	  over-invalidations in ScrollViewer so that it doesn't suck
	  up all the available CPU. Fixes 442 and also improves
	  ScrollViewer significantly in the SL Toolkit demo
	  (especially the WrapPanel demo). r: spouliot

2009-11-04  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: If the content of
	  ListBoxItem is a Control, don't enter the Disabled state. I
	  assume the reason for this is that (for example) if you put
	  a Button inside a ListBoxItem and disable the ListBoxItem,
	  what you want to see is the buttons Disabled state
	  animation. Without this change you'd get a combination of
	  the LBIs Disabled state and the Buttons disabled state,
	  which just looks weird. It's possible that a similar fix
	  will be needed for every ContentControl (control?) subclass
	  which defines its own VisualStates, but for now I think it's
	  just ListBoxItem. Helps get DRT 432 even closer. r: shana.

2009-10-30  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs:
	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Revert
	  145030 as it causes drt 442 to regress. r: rolf

2009-10-28  Mario Carrion  <mcarrion@novell.com>

	* RuntimeControls/SilverlightControls/Primitives/RangeBase.cs: 
	Raises UIA event RangeValuePatternIdentifiers.ValueProperty.
	* RuntimeControls/SilverlightControls/Primitives/ToggleButton.cs: 
	Raises UIA event RaiseToggleStateChanged.

	r: alan

2009-10-06  Mario Carrion  <mcarrion@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Internal events added:
	UIAVisibilityChanged, UIAOffsetChanged, UIAViewportChanged, 
	UIAScrollBarSet used to raise UIA Events.

	r: alan

2009-09-28  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: ComboBox.ItemContainerStyle
	  and ListBox.ItemContainerStyle both should update the
	  container item Style value when they change. r: spouliot

2009-09-28  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Remove old variables which
	  aren't used anymore. r: sde

2009-09-23  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ListBox/ListBoxItem.cs (InvokeLoaded): this takes a
	RoutedEventArgs now.

	r: spouliot, andriea

2009-09-18  Jeffrey Stedfast  <fejj@novell.com>

	* RuntimeControls/SilverlightControls/HyperlinkButton.cs: Removed
	unused exception variable.

	* Controls/Src/Common/SelectionChangedEventArgs.cs: Changed the
	name of Empty to EmptyArgs so that we didn't conflict with
	EventArgs.Empty.

	* Controls/Src/ListBox/ListBox.cs: Mark IsSelectionActiveProperty
	as 'new' to silence compiler warnings.

	r:kangaroo

2009-09-17  Jeffrey Stedfast  <fejj@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs (.ctor): Don't hook up
	our own event handlers for OnKeyDown and OnMouseLeftButtonDown,
	instead override the existing methods.
	(InvalidateScrollInfo): Added missing method which updates
	ScrollableWidth/HeightProperty values.
	(MeasureOverride): Moved setting of ScrollableWidth/HeightProperty
	to InvalidateScrollInfo() like it's supposed to be (according to
	MSDN docs). Also removed duplicate setting of
	ViewportWidth/HeightProperty since they are set in
	UpdateFromChild() already.
	(OnScrollInfoDependencyPropertyChanged): New callback for the 6
	properties that require a call to InvalidateScrollInfo() on
	changes.

	r:toshok

2009-09-10  Mario Carrion  <mcarrion@novell.com>

	* RuntimeControls/SilverlightControls/ProgressBar.cs: Method
	overridden OnCreateAutomationPeer.
	* RuntimeControls/SilverlightControls/Primitives/RangeBase.cs: 
	Raising new internal event: UIAPropertyChanged, to raise
	RangeValue pattern UIA events.

	r: toshok

2009-09-03  Mario Carrion  <mcarrion@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: New internal event
	ParentSelectorChanged, raised when internal parentSelector
	changes.

	r: alan

2009-09-03  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: ItemContainerStyle should
	  only be copied to the container if it is non-null and there
	  is no existing style.

2009-09-03  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Remove code duplication -
	  DisplayMemberPath handling should only exist in
	  ItemsControl. This fixes DisplayMemberPath handling for
	  ListBox too. r: sde

2009-08-26  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: ComboBox and ListBox should
	  behave the exact same way when a ListBoxItem is clicked, so
	  share the implementation. r: jackson

2009-08-26  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: There's no reason for
	  ChangeVisualState to be visible outside of the class. r:
	  spouliot

2009-08-26  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs:
	  ComboBox.IsSelectionActiveProperty and
	  ListBox.IsSelectionActiveProperty are the same DP reference,
	  so declare it on Selector and expose it in the subclasses.
	  Cleanup usage of this property aswell. r: spouliot

2009-08-25  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* RuntimeControls/SilverlightControls/HyperlinkButton.cs:
	  Final implementation of HyperlinkButton (based on stub
	  implementation from Olivier Dufour
	  <olivier.duff@gmail.com>).

2009-08-13  Mario Carrion  <mcarrion@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Visibility properties
	changed from private to internal: ElementHorizontalScrollBar and
	ElementVerticalScrollBar.

2009-08-12  Jackson Harper  <jackson@ximian.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Fix access modifiers
	on these setters. Having the public setter was causing problems
	with some auto generated xaml.

2009-08-08  Chris Toshok  <toshok@ximian.com>

	* RuntimeControls/SilverlightControls/HyperlinkButton.cs: enable
	the #if notyet code.  it's still ifdefed !BOOTSTRAP to keep it
	from erroring out during the circular build, though.

2009-07-24  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs:
	  ContentRoot can be null in certain circumstances, so avoid
	  throwing a null ref.

2009-07-23  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Add the missing
	  setter in ScrollViewer.ScrollableHeight, not sure how that
	  got missed out.

2009-07-23  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: 1) Fix the
	  calculations for ScrollableHeight.
	2) Ensure that the size of the Viewport and the Extents are
	  kept in sync with the presenter.
	3) Fixe issue where ScrollableHeight was being used when
	  scrolling horizontally.

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: 1)
	  Invalidate the measure of the parent whenever the viewport
	  changes or the child extents change.
	2) Give the correct dimensions to the Arrange call when
	  arranging the child.
	3) Ensure that the Extents/Viewport dimensions are udpated in
	  the parent scrollviewer when they change in the
	  ScrollContentPresenter

2009-07-06  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Ensure that the
	  max value does not exceed the scrollable bounds. Fixes DRT
	  541

2009-06-30  Mario Carrion  <mcarrion@novell.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: 
	Method overridden OnCreateAutomationPeer to return 
	ScrollViewerAutomationPeer.
	* RuntimeControls/SilverlightControls/Primitives/ScrollBar.cs: 
	Method overridden OnCreateAutomationPeer to return 
	ScrollBarAutomationPeer.

2009-06-26  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Fix some ListBox
	  focus/selection related bugs. Move
	  ComboBox.OnSelectedItemChanged and
	  ListBox.OnSelectedItemChanged to Selector as they have
	  indentical codepaths after the last refactorings.

2009-06-26  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Always set ListBox.Item (as
	  ComboBox does) which removes the need for all the
	  "listBoxItem.Item ?? listBoxItem" calls.

2009-06-25  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs:
	* Controls/Src/ScrollViewer/ScrollViewer.cs: Move the handling
	  of the ScrollViewer template element and default values of
	  ScrollbarVisibility to the Selector class so it can be
	  shared between ComboBox and ListBox. Fix some default value
	  issues too.

2009-06-25  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Simplify ListBox and make
	  it similar to how ComboBox operates.

2009-06-25  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: Call the base
	  InvokeLoaded method.

2009-06-24  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Add another method to
	  selector to allow subclasses to easily set the IsSelected
	  property when the SelectedItem changes.

2009-06-24  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: The only way to get the
	  initial focus correct for the drop down list in ComboBox is
	  if it receives notification of when its ComboBoxItems are
	  loaded.

2009-06-24  Brad Taylor  <brad@getcoded.net>

	* RuntimeControls/SilverlightControls/RadioButton.cs: Return new
	RadioButtonAutomationPeer.

2009-06-23  Brad Taylor  <brad@getcoded.net>

	* RuntimeControls/SilverlightControls/CheckBox.cs: Return new
	CheckBoxAutomationPeer.

2009-06-22  Brad Taylor  <brad@getcoded.net>

	* RuntimeControls/SilverlightControls/Primitives/ToggleButton.cs:
	Return a new ToggleButtonAutomationPeer.

2009-06-11  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SDKControls/Data/src/Properties/AssemblyInfo.cs:
	MS' tests are using a test binary with a different public key,
	expose our internals to that binary too.

2009-06-11  Mario Carrion  <mcarrion@novell.com>

	* Controls/Src/ListBox/ListBox.cs, 
	Controls/Src/ListBox/ListBoxItem.cs: Method overridden 
	OnCreateAutomationPeer.

2009-05-22  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/Common/KeyboardNavigation.cs
	* Controls/Src/ListBox/ListBox.cs
	* Controls/Src/ListBox/ListBoxItem.cs
	* Controls/Src/ScrollViewer/ScrollViewer.cs
	* Controls/Src/ToolTip/ToolTip.cs
	* Controls/Src/ToolTip/ToolTipService.cs
	* RuntimeControls/SilverlightControls/HyperlinkButton.cs
	* RuntimeControls/SilverlightControls/Primitives/ButtonBase.cs
	* RuntimeControls/SilverlightControls/Primitives/RangeBase.cs
	* RuntimeControls/SilverlightControls/Primitives/RepeatButton.cs
	* RuntimeControls/SilverlightControls/Primitives/ScrollBar.cs
	* RuntimeControls/SilverlightControls/Primitives/Thumb.cs
	* RuntimeControls/SilverlightControls/Primitives/ToggleButton.cs
	* RuntimeControls/SilverlightControls/ProgressBar.cs
	* RuntimeControls/SilverlightControls/RadioButton.cs
	* RuntimeControls/SilverlightControls/Slider.cs
	* SDKControls/Extended/Test/GridSplitter/GridSplitterTest.cs
	* SDKControls/Extended/Test/TabControl/TabPanelTest.cs:
	Use DependencyProperty.RegisterCore for these DPs.


2009-05-21  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: Update the VisualState
	after the template has been applied. Also switch to the correct
	visual states when we become selected/unselected.
	
2009-05-18  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Nuke an old variable.

2009-05-18  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Nuke a bunch of depreciated
	  code from ListBox and fix the implementation of
	  IsSelectionActive to use DependencyProperty.RegisterReadOnly

2009-05-06  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ListBox/ListBox.cs (OnSelectedItemChanged): if
	oldValue/newValue don't have a ListBoxItem associated with them,
	don't set IsSelected.

2009-05-04  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* RuntimeControls/SilverlightControls/RadioButton.cs:
	* RuntimeControls/SilverlightControls/Primitives/ToggleButton.cs:
	  Added ToString implementation. Makes DRT #491 and #494 not
	  time out.

2009-05-01  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/Common/SelectionChangedEventArgs.cs: When
	  raising the SelectionChanged event, we need to always pass
	  the old/new selected *item*, not the SelectedIndex.

2009-04-28  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: We need to throw an
	  InvalidCastException if the wrong container is provided.

2009-04-23  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs:
	* Controls/Src/ListBox/ListBoxItem.cs: Move the Notify*
	  methods into Selector as both Listbox and ComboBox require
	  the same API.

2009-04-21  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Nuke commented out method
	  which is handled in a base class now.

2009-04-16  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Cosmetic

2009-04-16  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Remove some public methods
	  which no longer exist.

2009-04-16  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Remove all code dealing
	  with keeping SelectedItem and SelectedIndex in sync as they
	  are handled in the Selector base class. SelectionChanged
	  events are now handled correctly and items can be selected
	  in the listbox.

2009-04-16  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: Override base methods,
	  don't redeclare them. Hook into the base SelectionChanged
	  event instead of redeclaring a new one.

2009-04-16  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: ListBoxItem should be
	  overriding its base methods, not redeclaring them.

2009-04-15  Alan McGovern  <amcgovern@novell.com>

	* SDKControls/Data/test/TestCases/DataGridTests_Unrestricted.cs:
	  Add a missing using statement

2009-04-15  Alan McGovern  <amcgovern@novell.com>

	* SDKControls/Data/test/TestCases/DataGridTests_Unrestricted.cs:
	  Add [MoonlightBug] to the last failing test.

2009-04-15  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBox.cs: The default name of the
	  ScrollViewer element has changed

2009-04-09  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/ListBox/ListBoxItem.cs: Normalise the
	  whitespace.

2009-04-08  Alan McGovern  <amcgovern@novell.com>

	* SDKControls/Data/test/TestCases/DataGridAutomationTest.cs:
	* SDKControls/Data/test/TestCases/DataGridTests_RequireGT0.cs:
	* SDKControls/Data/test/TestCases/DataGridTests_RequireGT1.cs:
	  plant some [moonlightbug] attrs

2009-04-07  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: track
	change to ContentPresenter.  _elementRoot -> _contentRoot.

2009-04-07  Alan McGovern  <amcgovern@novell.com>

	* SDKControls/Data/test/TestCases/DataGridTests_Unrestricted.cs:
	  The test should be using Double.IsNaN (double) to check
	  default values - nothing else is guaranteed to work.

2009-04-02  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SDKControls/Data/src/Properties/AssemblyInfo.cs:
	* SDKControls/Extended/Src/Properties/AssemblyInfo.cs: Set the
	  correct assembly version.

2009-03-30  Alan McGovern  <amcgovern@novell.com>

	* SDKControls/Extended/Test/Calendar/CalendarTest.cs:
	* SDKControls/Extended/Test/TabControl/TabItemTest.cs:
	* SDKControls/Extended/Test/TabControl/TabPanelTest.cs:
	* SDKControls/Extended/Test/DatePicker/DatePickerTest.cs:
	  Remove [MoonlightBug] from a bunch of tests which are
	  unexpectedly passing now.

2009-03-26  Alan McGovern  <amcgovern@novell.com>

	* RuntimeControls/SilverlightControls/Button.cs: Implement
	  CreatePeerForElement and FromElement properly for the
	  automation stuff.

2009-03-20  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SDKControls/Extended/Controls.sln:
	* SDKControls/Extended/Test/Controls.Test.csproj:
	* SDKControls/Test/Controls.Test.Common/Controls.Test.Common.csproj:
	  Update project files to build property in VS with our
	  changes to the code base.

2009-03-20  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SDKControls/Extended/Test/Calendar/CalendarTest.cs:
	* SDKControls/Extended/Test/TabControl/TabItemTest.cs:
	* SDKControls/Extended/Test/TabControl/TabPanelTest.cs:
	* SDKControls/Extended/Test/TabControl/TabControlTest.cs:
	* SDKControls/Extended/Test/DatePicker/DatePickerTest.cs:
	* SDKControls/Extended/Test/GridSplitter/GridSplitterTest.cs:
	* SDKControls/Extended/Test/GridSplitter/PreviewControlTest.cs:
	  Sprinkle [MoonlightBug].

2009-03-17  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SDKControls/Data/test/App.xaml.cs:
	* SDKControls/Extended/Test/App.xaml.cs: Use
	  Mono.Moonlight.UnitTesting.dll when building with Moonlight
	  so the test results gets logged.

2009-03-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Controls/Makefile.am: Remove old makefiles.

	* Makefile.am: Remove old/unused makefiles.

2009-03-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SDKControls/Data/test/AppManifest.xaml: Added (VS generated,
	  we now use it in our build).

2009-02-26  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ListBox/ListBox.cs: land some longstanding local
	changes.

	* Controls/Src/ListBox/ListBoxItem.cs: same.

2009-01-31  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ListBox/ListBox.cs: Set DefaultStyleKey.

	* Controls/Src/ListBox/ListBoxItem.cs: same.

	* Controls/Src/ToolTip/ToolTip.cs: same.

2009-01-31  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/ScrollViewer/ScrollViewer.cs: we need to set
	DefaultStyleKey so that the right template is picked up.

2009-01-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Microsoft.SilverlightControls.mdp: Update.

2009-01-13  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs: Implement
	IScrollInfo (like WPF) to please gui-compare. Rename ViewerParent
	property to ScrollOwner
	* Controls/Src/ScrollViewer/ScrollViewer.cs: Use new ScrollOwner
	property (instead of old ViewerParent).

2009-01-13  Jackson Harper  <jackson@ximian.com>

	* RuntimeControls/SilverlightControls/themes/generic.xaml: Fix
	namespaces.

2009-01-12  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs,
	* Controls/Src/ScrollViewer/ScrollViewer.cs: Fix API to match SL2

2009-01-09  Sebastien Pouliot  <sebastien@ximian.com> 

	* Controls/Src/ScrollViewer/ScrollViewer.cs: Add new (missing) DP 
	and make (most of) them read-only (and behave like SL2 final does)
	* README.MOON: Document all read-only properties for ScrollViewer

2009-01-09  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/ContentControl/ContentPresenter.cs,
	* Controls/Src/ListBox/ListBox.cs,
	* Controls/Src/ListBox/ListBoxItem.cs,
	* Controls/Src/ScrollViewer/ScrollViewer.cs: Fix API to match Sl2
	* README.MOON: Add a few more read-only properties candidates.

2009-01-08  Sebastien Pouliot  <sebastien@ximian.com>

	* RuntimeControls/SilverlightControls/Slider.cs,
	* RuntimeControls/SilverlightControls/Primitives/Thumb.cs,
	* README.MOON: More read-only properties.

2009-01-07  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/ContentControl/ContentControl.cs: Set DefaultStyleKey

2009-01-05  Sebastien Pouliot  <sebastien@ximian.com> 

	* Controls/Src/ListBox/ListBox.cs: Remove dependence on SelectionMode
	which does not exists anymore in SL2 final.

2009-01-05  Sebastien Pouliot  <sebastien@ximian.com>

	* RuntimeControls/SilverlightControls/Slider.cs: Change to partial 
	class.
	* RuntimeControls/SilverlightControls/Primitives/RepeatButton.cs:
	Change to partial class. Add missing override (wrt SL2 final).
	* RuntimeControls/SilverlightControls/Primitives/Thumb.cs: Change
	to partial class.

2008-12-19  Sebastien Pouliot  <sebastien@ximian.com>

	* README.MOON: Add notes about "internal" read only DP
	* RuntimeControls/SilverlightControls/Primitives/ButtonBase.cs: 
	Use RegisterReadOnly on Is[Focused|MouseOver|Pressed]Property. Use
	SetValueImpl directly to by-pass readonly on (internal) setters.

2008-12-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* SDKControls/Data/src/DataGrid/DataGridCell.cs,
	  SDKControls/Data/src/DataGrid/DataGridRow.xaml.cs,
	  SDKControls/Data/src/DataGrid/DataGridRowHeader.xaml.cs: Work
	  around compiler bug #456775.

2008-12-18  Sebastien Pouliot  <sebastien@ximian.com> 

	* RuntimeControls/SilverlightControls/Primitives/ToggleButton.cs:
	Fix RoutedEventArgs.OriginalSource wrt unit tests.

2008-12-18  Sebastien Pouliot  <sebastien@ximian.com>

	* README.MOON: New. Explains directories and why some changes to the
	published controls will be needed.
	* RuntimeControls/SilverlightControls/Primitives/ButtonBase.cs: Fix
	wrt unit tests.

2008-12-17  Sebastien Pouliot  <sebastien@ximian.com> 

	* Controls/Src/RepeatButton/RepeatButton.cs: Updated to work with 
	SL Toolkit helpers (simplify things a lot) and VSM support.

2008-12-17  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/Thumb/Thumb.cs: Updated to work with SL Toolkit 
	helpers	(simplify things a lot) and VSM support.

2008-12-11  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Extended/Src/Slider/Slider.cs: Dont set properties 
	to their default values. Remove delegates since On* methods is now
	prefered. Match template attributes without breaking current (old)
	model.
	* Controls/Src/Thumb/Thumb.cs: Remove delegates since On* methods
	is now prefered. Add comments about extra calls we have on focus 
	events.
	* Controls/Src/RepeatButton/RepeatButton.cs: #if out an MS 
	workaround that requires API not available in SL2 final.

2008-12-09  Sebastien Pouliot  <sebastien@ximian.com> 

	* Controls/Extended/Src/Slider/Slider.cs: Comment usage of Handled
	on MouseEventArgs (it's not present anymore).
	* Controls/Src/ButtonBase/ButtonBase.cs: Comment usage of Handled 
	on MouseEventArgs (it's not present anymore).
	* Controls/Src/Common/DragCompletedEventArgs.cs: Add missing 
	properties.
	* Controls/Src/RepeatButton/RepeatButton.cs: Comment usage of 
	Handled on MouseEventArgs (it's not present anymore).
	* Controls/Src/ScrollBar/ScrollBar.cs: Comment usage of Handled on
	MouseEventArgs (it's not present anymore).
	* Controls/Src/Thumb/Thumb.cs: Comment usage of Handled on 
	MouseEventArgs (it's not present anymore).

2008-12-04  Sebastien Pouliot  <sebastien@ximian.com> 

	* Controls/Src/Button/Button.cs: Change OnIsEnabledChanged to 
	internal
	* Controls/Src/ButtonBase/ButtonBase.cs: Change OnIsEnabledChanged
	to internal
	* Controls/Src/ContentControl/ContentControl.cs: Don't call (and 
	#if out) OnContentTemplateChanged
	* Controls/Src/HyperlinkButton/HyperlinkButton.cs: Change 
	OnIsEnabledChanged to internal
	* Controls/Src/ToggleButton/ToggleButton.cs: Change 
	OnIsEnabledChanged to internal

2008-12-04  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/ContentControl/ContentControl.cs: #if out the extra
	stuff (not in SL2 final).

2008-12-04  Alan McGovern  <amcgovern@novell.com>

	* Controls/Src/Thumb/Thumb.cs: Update the attributes

2008-12-01  Stephane Delcroix  <stephane@delcroix.org>

	* Controls/Src/HyperlinkButton/HyperlinkButton.cs: comment out the
	internal Navigate (), throws NotImplemented instead

2008-11-28  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Extended/Src/Slider/Slider.cs: Slider default values are
	identical to RangeBase (but different from MS beta1 code).

2008-11-27  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/Common/KeyboardNavigation.cs: Hide (internalize).
	* Controls/Src/RepeatButton/RepeatButton.cs: Match 2.0 final default
	values for Delay and Interval.

2008-11-25  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/ContentControl/ContentControl.cs,
	  Controls/Src/ContentControl/ContentPresenter.cs: Comment the use
	  of TextDecorationCollectionConverter (not part of SL2 final).

2008-11-24  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Src/Thumb/Thumb.cs: Add IsFocused DP.
	* Controls/Src/RepeatButton/RepeatButton.cs: Add missing overrides.

2008-11-21  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Extended/Src/Slider/Slider.cs: Expose some private
	stuff as protected override to match SL2 API.
	* Controls/Src/Thumb/Thumb.cs: Expose some private stuff as 
	protected override to match SL2 API. Add some stubs for missing
	methods.

2008-11-21  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Controls/Src/Common/FontFamilyConverter.cs,
	  Controls/Src/Common/FontStretchConverter.cs,
	  Controls/Src/Common/FontStyleConverter.cs,
	  Controls/Src/Common/FontWeightConverter.cs,
	  Controls/Src/Common/NullableBoolConverter.cs,
	  Controls/Src/Common/TextDecorationCollectionConverter.cs,
	  Controls/Src/Common/UriTypeConverter.cs: Remove ConvertFromString,
	  it doesn't exist in SL2.

2008-11-21  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Controls/Src/Common/FontFamilyConverter.cs,
	  Controls/Src/Common/FontStretchConverter.cs,
	  Controls/Src/Common/FontStyleConverter.cs,
	  Controls/Src/Common/FontWeightConverter.cs,
	  Controls/Src/Common/TextDecorationCollectionConverter.cs,
	  Controls/Src/Common/NullableBoolConverter.cs,
	  Controls/Src/Common/UriTypeConverter.cs: Fix method signatures to
	  match SL2 api.

2008-11-20  Sebastien Pouliot  <sebastien@ximian.com>

	* Controls/Extended/Src/Slider/Slider.cs: Remove IsEnabled (and
	related). Add On[Got|Lost]Focus. Internalize some stuff. Remove 'b1'
	references in namespaces.
	* Controls/Src/Thumb/Thumb.cs: Remove IsEnabled and related.
	* Controls/Src/RangeBase/RangeBase.cs: Remove Tooltip property

2008-10-16  Jb Evain  <jbevain@novell.com>

	* Controls/Src/ScrollBar/ScrollBar.cs
	* Controls/Src/ToolTip/ToolTipService.cs
	* Controls/Src/ToolTip/ToolTip.cs
	* Controls/Src/ButtonBase/ButtonBase.cs
	* Controls/Src/ToggleButton/ToggleButton.cs: use
	RoutedEventArgs.OriginalSource instead of Source.

2008-08-21  Fernando Herrera  <fherrera@novell.com>

	* Controls/Src/ContentControl/ContentControl.cs: Uncomment
	ToolTip object.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Controls/Src/ScrollBar/ScrollBar.cs: Changed some parameter names,
	  base types, method signatures, etc to match SL.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Microsoft.SilverlightControls.mdp: Updated.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Microsoft.SilverlightControls.mdp: Added.

2008-08-11  Fernando Herrera  <fherrera@novell.com>

	* Controls/Src/ToolTip/ToolTipService.cs: Remove some methods/props
	according to beta2 API. Use default values for delays/duration. 

2008-08-11  Fernando Herrera  <fherrera@novell.com>

	* Controls/Makefile.am: Add ScrollViewer, ScrollBar, ToolTip,
	RangeBase and ListBox to the build.

2008-08-09  Chris Toshok  <toshok@ximian.com>

	* Controls/Src/Common/FontFamilyConverter.cs:
	* Controls/Src/Common/FontStretchConverter.cs:
	* Controls/Src/Common/FontStyleConverter.cs:
	* Controls/Src/Common/FontWeightConverter.cs:
	* Controls/Src/Common/NullableBoolConverter.cs:
	* Controls/Src/Common/TextDecorationCollectionConverter.cs:
	* Controls/Src/Common/UriTypeConverter.cs: make these compile
	under the 3.0 profile as well by making the "overrides" 2.1
	only.

2008-08-08  Fernando Herrera  <fherrera@novell.com>

	* Controls/Makefile.am: Fix lib/* path

2008-08-08  Fernando Herrera  <fherrera@novell.com>

	* Makefile.am:
	* Controls/Makefile.am: Add to the build.
	* Controls/Src/Button/Button.cs:
	* Controls/Src/ButtonBase/ButtonBase.cs:
	* Controls/Src/ButtonBase/ClickMode.cs:
	* Controls/Src/CheckBox/CheckBox.cs:
	* Controls/Src/Common/FontFamilyConverter.cs:
	* Controls/Src/Common/FontStretchConverter.cs:
	* Controls/Src/Common/FontStyleConverter.cs:
	* Controls/Src/Common/FontWeightConverter.cs:
	* Controls/Src/Common/KeyboardNavigation.cs:
	* Controls/Src/Common/NullableBoolConverter.cs:
	* Controls/Src/Common/TextDecorationCollectionConverter.cs:
	* Controls/Src/Common/TypeConverters.cs:
	* Controls/Src/Common/UriTypeConverter.cs:
	* Controls/Src/ContentControl/ContentControl.cs:
	* Controls/Src/ContentControl/ContentPresenter.cs:
	* Controls/Src/HyperlinkButton/HyperlinkButton.cs:
	* Controls/Src/ListBox/DisplayMemberValueConverter.cs:
	* Controls/Src/ListBox/ListBox.cs:
	* Controls/Src/ListBox/ListBoxItem.cs:
	* Controls/Src/ListBox/SelectionMode.cs:
	* Controls/Src/RadioButton/RadioButton.cs:
	* Controls/Src/RangeBase/RangeBase.cs:
	* Controls/Src/RepeatButton/RepeatButton.cs:
	* Controls/Src/Resource.Designer.cs:
	* Controls/Src/ScrollBar/ScrollBar.cs:
	* Controls/Src/ScrollBar/ScrollBarVisibility.cs:
	* Controls/Src/ScrollBar/ScrollEventArgs.cs:
	* Controls/Src/ScrollBar/ScrollEventType.cs:
	* Controls/Src/ScrollViewer/ScrollContentPresenter.cs:
	* Controls/Src/ScrollViewer/ScrollViewer.cs:
	* Controls/Src/Thumb/Thumb.cs:
	* Controls/Src/ToggleButton/ToggleButton.cs:
	* Controls/Src/ToolTip/ToolTip.cs:
	* Controls/Src/ToolTip/ToolTipService.cs: Move back to System.Windows.Controls namespace.

